package gov.va.med.esr.service.external.person;

import java.util.Date;

import gov.va.med.esr.service.external.ExternalComponent;
import gov.va.med.esr.service.external.person.collections.NameCollection;
import gov.va.med.esr.service.external.person.collections.VamcDataCollection;

public class PersonInfo extends ExternalComponent {
	private static final long serialVersionUID = -2058817070619243686L;
	
	private String firstName;
	private String middleName;
	private String lastName;
	private String prefix;
	private String suffix;
	private String ssnText;
	private String gender;
	private String dob;
	private String ssaVerificationStatus;
	private Date ssaVerificationDate;
	private VamcDataCollection vamcData;
	private NameCollection names;
	private String mothersMaidenName;
	private String placeOfBirthCity;
	private String placeOfBirthState;
	
	
	
	public PersonInfo(){
		super();
	}
	public String getFirstName() {
		return firstName;
	}
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	public String getMiddleName() {
		return middleName;
	}
	public void setMiddleName(String middleName) {
		this.middleName = middleName;
	}
	public String getLastName() {
		return lastName;
	}
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	public String getPrefix() {
		return prefix;
	}
	public void setPrefix(String prifix) {
		this.prefix = prifix;
	}
	public String getSuffix() {
		return suffix;
	}
	public void setSuffix(String suffix) {
		this.suffix = suffix;
	}
	public String getSsnText() {
		return ssnText;
	}
	public void setSsnText(String ssnText) {
		this.ssnText = ssnText;
	}
	public String getGender() {
		return gender;
	}
	public void setGender(String gender) {
		this.gender = gender;
	}
	public String getDob() {
		return dob;
	}
	public void setDob(String dob) {
		this.dob = dob;
	}
	public String getSsaVerificationStatus() {
		return ssaVerificationStatus;
	}
	public void setSsaVerificationStatus(String ssaVerificationStatus) {
		this.ssaVerificationStatus = ssaVerificationStatus;
	}
	public Date getSsaVerificationDate() {
		return ssaVerificationDate;
	}
	public void setSsaVerificationDate(Date ssaVerificationDate) {
		this.ssaVerificationDate = ssaVerificationDate;
	}
	public VamcDataCollection getVamcData() {
		return vamcData;
	}
	public void setVamcData(VamcDataCollection vamcData) {
		this.vamcData = vamcData;
	}
	public NameCollection getNames() {
		return names;
	}
	public void setNames(NameCollection names) {
		this.names = names;
	}
	public String getMothersMaidenName() {
		return mothersMaidenName;
	}
	public void setMothersMaidenName(String mothersMaidenName) {
		this.mothersMaidenName = mothersMaidenName;
	}
	public String getPlaceOfBirthCity() {
		return placeOfBirthCity;
	}
	public void setPlaceOfBirthCity(String placeOfBirthCity) {
		this.placeOfBirthCity = placeOfBirthCity;
	}
	public String getPlaceOfBirthState() {
		return placeOfBirthState;
	}
	public void setPlaceOfBirthState(String placeOfBirthState) {
		this.placeOfBirthState = placeOfBirthState;
	}
}
